## com.lowagie.rups.view
Class RupsMenuBar

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JMenuBar
                      com.lowagie.rups.view.RupsMenuBar

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.Observer, javax.accessibility.Accessible, javax.swing.MenuElement

    public class RupsMenuBar

extends javax.swing.JMenuBar
implements java.util.Observer

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JMenuBar
`javax.swing.JMenuBar.AccessibleJMenuBar`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` `ABOUT` Caption for "Help about".
`static java.lang.String` `CLOSE` Caption for "Close file".
`static java.lang.String` `FILE_MENU` Caption for the file menu.
`protected FileChooserAction` `fileChooserAction` The action needed to open a file.
`static java.lang.String` `HELP_MENU` Caption for the help menu.
`protected java.util.HashMap<java.lang.String,javax.swing.JMenuItem>` `items` The HashMap with all the actions.
`protected java.util.Observable` `observable` The Observable object.
`static java.lang.String` `OPEN` Caption for "Open file".
`private static long` `serialVersionUID` A Serial Version UID.
`static java.lang.String` `VERSION` Caption for "Help versions".

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`RupsMenuBar(java.util.Observable observable)` Creates a JMenuBar.

Method Summary
`protected void` `addItem(javax.swing.JMenu menu, java.lang.String caption, java.awt.event.ActionListener action)` Create an item with a certain caption and a certain action, then add the item to a menu.
`protected void` `enableItem(java.lang.String caption, boolean enabled)` Enables/disables a specific menu item
`protected void` `enableItems(boolean enabled)` Enables/Disables a series of menu items.
`void` `update(java.util.Observable observable, java.lang.Object obj)`

Methods inherited from class javax.swing.JMenuBar

`add, addNotify, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getHelpMenu, getMargin, getMenu, getMenuCount, getSelectionModel, getSubElements, getUI, getUIClassID, isBorderPainted, isSelected, menuSelectionChanged, paintBorder, paramString, processKeyBinding, processKeyEvent, processMouseEvent, removeNotify, setBorderPainted, setHelpMenu, setMargin, setSelected, setSelectionModel, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE_MENU

    public static final java.lang.String FILE_MENU

  Caption for the file menu.

  See Also:
    Constant Field Values

### OPEN

    public static final java.lang.String OPEN

  Caption for "Open file".

  See Also:
    Constant Field Values

### CLOSE

    public static final java.lang.String CLOSE

  Caption for "Close file".

  See Also:
    Constant Field Values

### HELP_MENU

    public static final java.lang.String HELP_MENU

  Caption for the help menu.

  See Also:
    Constant Field Values

### ABOUT

    public static final java.lang.String ABOUT

  Caption for "Help about".

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  Caption for "Help versions".

  Since:
    iText 5.0.0 (renamed from VERSIONS)
  See Also:
    Constant Field Values

### observable

    protected java.util.Observable observable

  The Observable object.

### fileChooserAction

    protected FileChooserAction fileChooserAction

  The action needed to open a file.

### items

    protected java.util.HashMap<java.lang.String,javax.swing.JMenuItem> items

  The HashMap with all the actions.

### serialVersionUID

    private static final long serialVersionUID

  A Serial Version UID.

  See Also:
    Constant Field Values

Constructor Detail

### RupsMenuBar

    public RupsMenuBar(java.util.Observable observable)

  Creates a JMenuBar.

  Parameters:
    `observable` - the controller to which this menu bar is added

Method Detail

### update

    public void update(java.util.Observable observable,
                       java.lang.Object obj)

  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `Observer.update(java.util.Observable, java.lang.Object)`

### addItem

    protected void addItem(javax.swing.JMenu menu,
                           java.lang.String caption,
                           java.awt.event.ActionListener action)

  Create an item with a certain caption and a certain action, then add the item to a menu.

  Parameters:
    `menu` - the menu to which the item has to be added
    `caption` - the caption of the item
    `action` - the action corresponding with the caption

### enableItems

    protected void enableItems(boolean enabled)

  Enables/Disables a series of menu items.

  Parameters:
    `enabled` - true for enabling; false for disabling

### enableItem

    protected void enableItem(java.lang.String caption,
                              boolean enabled)

  Enables/disables a specific menu item

  Parameters:
    `caption` - the caption of the item that needs to be enabled/disabled
    `enabled` - true for enabling; false for disabling

Hosted by Hostbasket